Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomEvent.DomMutationEvent

    java.lang.Object
      |
      +--gnu.xml.dom.DomEvent
            |
            +--gnu.xml.dom.DomEvent.DomMutationEvent

All Implemented Interfaces:
  Event, MutationEvent

Enclosing class:
  DomEvent

public static final class DomEvent.DomMutationEvent
extends DomEvent
implements MutationEvent

"MutationEvent" implementation.

Inner classes inherited from class gnu.xml.dom.DomEvent
`DomEvent.DomMutationEvent, DomEvent.DomUIEvent`

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DomEvent.DomMutationEvent(java.lang.String type)` Constructs an uninitialized mutation event.

Method Summary
`short` | `getAttrChange()` For attribute change events, returns how the attribuet changed
`java.lang.String` | `getAttrName()` For attribute change events, returns the attribute's name
`java.lang.String` | `getNewValue()` Returns any "new value" provided by this type of event
`java.lang.String` | `getPrevValue()` Returns any "previous value" provided by this type of event
`Node` | `getRelatedNode()` Returns any "related" node provided by this type of event
`void` | `initMutationEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, java.lang.String prevValueArg, java.lang.String newValueArg, java.lang.String attrNameArg, short attrChangeArg)` Initializes a mutation event

Methods inherited from class gnu.xml.dom.DomEvent
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### DomEvent.DomMutationEvent

    public DomEvent.DomMutationEvent(java.lang.String type)

  Constructs an uninitialized mutation event.

Method Detail

### getRelatedNode

    public final Node getRelatedNode()

  Returns any "related" node provided by this type of event
  Specified by:
    `getRelatedNode` in interface `MutationEvent`

### getPrevValue

    public final java.lang.String getPrevValue()

  Returns any "previous value" provided by this type of event
  Specified by:
    `getPrevValue` in interface `MutationEvent`

### getNewValue

    public final java.lang.String getNewValue()

  Returns any "new value" provided by this type of event
  Specified by:
    `getNewValue` in interface `MutationEvent`

### getAttrName

    public final java.lang.String getAttrName()

  For attribute change events, returns the attribute's name
  Specified by:
    `getAttrName` in interface `MutationEvent`

### getAttrChange

    public final short getAttrChange()

  For attribute change events, returns how the attribuet changed
  Specified by:
    `getAttrChange` in interface `MutationEvent`

### initMutationEvent

    public final void initMutationEvent(java.lang.String typeArg,
                                        boolean canBubbleArg,
                                        boolean cancelableArg,
                                        Node relatedNodeArg,
                                        java.lang.String prevValueArg,
                                        java.lang.String newValueArg,
                                        java.lang.String attrNameArg,
                                        short attrChangeArg)

  Initializes a mutation event
  Specified by:
    `initMutationEvent` in interface `MutationEvent`
  Following copied from interface: `org.w3c.dom.events.MutationEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `relatedNodeArg` - Specifies the `Event`'s related Node.
    `prevValueArg` - Specifies the `Event`'s `prevValue` attribute. This value may be null.
    `newValueArg` - Specifies the `Event`'s `newValue` attribute. This value may be null.
    `attrNameArg` - Specifies the `Event`'s `attrName` attribute. This value may be null.
    `attrChangeArg` - Specifies the `Event`'s `attrChange` attribute

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.